require 'chart_examples.rb'
require 'chart_loader_examples.rb'
require 'rubygems'
require 'RMagick'

outdir=""
imgdir="images/"


#
#  CHART API EXAMPLES
#

puts "CHART API EXAMPLES"
puts ""

# minmax
puts "creating min/max chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example14()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_minmax.png")


# bar 3d
puts "creating barchart 3D"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example8()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_bar3d.png")

# linechart 3D
puts "creating linechart 3D"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example9()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_line3d.png")

# bubblechart
puts "creating bubblechart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example13()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_bubble.png")


# piechart
puts "creating piechart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example3()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_piechart.png")

# piechart 3d
puts "creating piechart 3D"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example4()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_piechart3d.png")

# barchart
puts "creating barchart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example2()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_barchart.png")

# linechart
puts "creating linechart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example1()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_linechart.png")

# radarchart
puts "creating radarchart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example12()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_radarchart.png")

# areachart
puts "creating areachart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example5()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_areachart.png")

# columnchart
puts "creating column chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example6()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_colchart.png")

# stackedchart
puts "creating stacked chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example7()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_stackchart.png")

# combinedchart
puts "creatingcombined chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example10()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_combchart.png")




# curves
puts "creating curves chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example15()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_curves.png")

# OCHL
puts "creating OCHL chart"
examples = Chart_Examples.new()
examples.imagesDir=imgdir
c=examples.example11()
c.setSize(500,500)
c.saveToFile(outdir+"chartapi_ochl.png")


#
#  CHART LOADER EXAMPLES
#
puts ""
puts "CHART LOADER EXAMPLES"
puts ""
examples_loader = ChartLoaderExamples.new()
examples_loader.outputDir=outdir
examples_loader.imagesDir=imgdir
puts "creating stacked axis chart"
examples_loader.paintStackedAxis()
puts "creating combined chart"
examples_loader.paintCombinedChart()
puts "creating horiz. bars chart"
examples_loader.paintBarChartHorizontal()
puts "creating curves chart"
examples_loader.paintChartCurves()
puts "creating logarithmic axis chart"
examples_loader.paintChartLogArea()
puts "creating line clipping chart"
examples_loader.paintChartLineClipping()
puts "creating line chart with missing values"
examples_loader.paintChartNullValue()
puts "creating scatter chart"
examples_loader.paintScatterChart()
puts "creating bubble chart"
examples_loader.paintBubbleChart()
puts "creating chart with target zones"
examples_loader.paintChartTargetZones()
puts "creating candlestick chart"
examples_loader.paintCandleStick()
puts "creating stacked bars chart"
examples_loader.paintStackedBars()
puts "creating chart with mutiple subcharts"
examples_loader.paintMultiCharts()
puts "creating chart with notes"
examples_loader.paintChartNotes()
puts "creating chart with mutiple axis"
examples_loader.paintMultipleAxis()
puts "creating event chart"
examples_loader.paintEventChart()
puts "creating pie chart 3D"
examples_loader.paintPieChart3D()
puts "creating barchart 3D"
examples_loader.paintBarChart3D()
puts "creating area chart with transparent color"
examples_loader.paintAreaChartTransparency()
puts "creating line chart 3D"
examples_loader.paintLineChart3D()
puts "creating pie chart 2D"
examples_loader.paintPieChart2D()
puts "creating radar chart 3D"
examples_loader.paintRadarChart()
puts "creating bar chart"
examples_loader.paintBarChart()
puts "creating barchart with images"
examples_loader.paintBarsWithImages()
puts "creating combined chart 2"
examples_loader.paintCombinedChart2()




